Bug 1305374 - cannot change device in vlan profile
cannot change device in vlan profile
Product: Red Hat Enterprise Linux 7
Classification: Red Hat
Component: control-center (Show other bugs)
Unspecified Unspecified
unspecified Severity low
: rc
: ---
Assigned To: Bastien Nocera
Desktop QE
Depends On:
  Show dependency treegraph
Reported: 2016-02-07 14:48 EST by Vladimir Benes
Modified: 2016-04-29 08:29 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2016-04-29 08:29:44 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Vladimir Benes 2016-02-07 14:48:00 EST
Description of problem:
After VLAN profile is created and saved it's device cannot be changed. VLAN id can be, VLAN interface can be changed as well but is not changed in ifcfg file and once edited again it's back to previous value 

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1.create VLAN with ID 90 and device eth1 
2.save it
3.edit the connection and change ID and device to 80 and eth1.80 for example 

Actual results:
device is not changed

Expected results:
device should be changed

Additional info:
Comment 1 Matthias Clasen 2016-02-09 14:33:56 EST
Works as expected in rawhide (maybe there is a backportable fix).
Another thing I notice is that the sidebar item for the VLAN is not updated if I change the name. I have to reload the panel for the new name to be reflected in the sidebar.
Comment 2 Bastien Nocera 2016-04-29 08:29:44 EDT
Support for enterprise networking features will be removed in future versions
of GNOME and of RHEL 7.x. We advise that you test Cockpit instead, which is
better suited to manipulate enterprise networking feature.

Teaming support for Cockpit is tracked at:

Bonding, bridging and VLAN support are already implemented.

Note You need to log in before you can comment on or make changes to this bug.